package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 客户试用受理状态枚举类
 */
public enum TrialAcceptEnum implements IBaseEnum {
    NOT_ACCEPTED(0,"未受理", SysConstains.STYLE_DEFAULT),
    AGREE(1,"同意", SysConstains.STYLE_DEFAULT),
    DISAGREE(2,"不同意", SysConstains.STYLE_DEFAULT),
    ;

    private int value;
    private String desc;
    private String style;

    TrialAcceptEnum(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

    @Override
    public String getStyle() {
        return this.style;
    }

    public static TrialAcceptEnum getByValue(int value) {
        for (TrialAcceptEnum e : TrialAcceptEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (TrialAcceptEnum item : TrialAcceptEnum.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
